<?php

namespace Modules\Company\Interfaces;

use Modules\Company\Models\Company;

interface CompanyRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Company;
    public function update(array $request, Company $company): Company;
    public function destroy(Company $company): void;
    public function destroyAll(array $ids): void;
    public function restore(Company $company): void;
    public function restoreAll(array $ids): void;
}
